import type { JSX } from '../../stencil-public-runtime';
import type { FocusableElement, KolFocusOptions, LabelPropType, TreeProps } from '../../schema';
export declare class KolTree implements TreeProps, FocusableElement {
    protected readonly host?: HTMLKolTreeElement;
    protected readonly ctaRef: import("../../utils/element-interaction").CtaRef<HTMLKolTreeWcElement>;
    _label: LabelPropType;
    focus(options?: KolFocusOptions): Promise<void>;
    render(): JSX.Element;
}
